#ifndef EXPORTOOFILEDIALOG
#define EXPORTOOFILEDIALOG

#include <QFileDialog>
#include <QStringList>

#include "settings.h"

class ExportOOFileDialog:public QFileDialog
{
	Q_OBJECT
public:
	ExportOOFileDialog();

	ExportOOFileDialog (QWidget * parent = 0, const  QString &caption=QString());
	bool foundConfig();
	QString selectedConfig();
	QString selectedFile();
	void show();
	 
private slots:
	void  newConfigPath (const QString&f);

private:
	void init();
	void addFilter(const QString &);
	void scanExportConfigs(QDir );
	QStringList configPaths;
	QStringList filters;
	QString lastFilter;
	
};
#endif
